summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-thumbnailers
diff options
context:
space:
mode:
author Robby Workman2010-05-18 23:46:26 +0200
committer Robby Workman2010-05-18 23:46:26 +0200
commitf5633bbc011031f158664e0d01243234cd8a7d25 (patch)
treef521991b0603b2c3953f7d4cc49856af31ac28bd /desktop/thunar-thumbnailers
parentd8da508f2a1484e44813ee6078f12f4dbcb3afe7 (diff)
downloadslackbuilds-f5633bbc011031f158664e0d01243234cd8a7d25.tar.gz
desktop/thunar-thumbnailers: Miscellaneous cleanups.
Diffstat (limited to 'desktop/thunar-thumbnailers')
-rw-r--r--desktop/thunar-thumbnailers/README3
-rw-r--r--desktop/thunar-thumbnailers/slack-desc4
-rw-r--r--desktop/thunar-thumbnailers/thunar-thumbnailers.SlackBuild24
3 files changed, 19 insertions, 12 deletions
diff --git a/desktop/thunar-thumbnailers/README b/desktop/thunar-thumbnailers/README
index 9954c02081..79dd110257 100644
--- a/desktop/thunar-thumbnailers/README
+++ b/desktop/thunar-thumbnailers/README
@@ -3,8 +3,7 @@ the Thunar file manager. Thumbnailers are little utilities that run in the
background to generate previews for certain file types.
After installing this package, each user will need to execute the following
-command:
- /usr/libexec/thunar-vfs-update-thumbnailers-cache-1
+command: /usr/libexec/thunar-vfs-update-thumbnailers-cache-1
Optional dependencies are dcraw (for raw image support) and ffmpegthumbnailer
(for video file support). If you wish to enable support for either or both
diff --git a/desktop/thunar-thumbnailers/slack-desc b/desktop/thunar-thumbnailers/slack-desc
index 3d542a511a..00b7d695b9 100644
--- a/desktop/thunar-thumbnailers/slack-desc
+++ b/desktop/thunar-thumbnailers/slack-desc
@@ -15,5 +15,5 @@ thunar-thumbnailers: ground to generate previews for certain file types.
thunar-thumbnailers:
thunar-thumbnailers: http://goodies.xfce.org
thunar-thumbnailers:
-thunar-thumbnailers:
-thunar-thumbnailers:
+thunar-thumbnailers:
+thunar-thumbnailers:
diff --git a/desktop/thunar-thumbnailers/thunar-thumbnailers.SlackBuild b/desktop/thunar-thumbnailers/thunar-thumbnailers.SlackBuild
index bbade5c390..21cb344674 100644
--- a/desktop/thunar-thumbnailers/thunar-thumbnailers.SlackBuild
+++ b/desktop/thunar-thumbnailers/thunar-thumbnailers.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for thunar-thumbnailers
-# Copyright 2007-2009 Robby Workman, Northport, Alabama, USA
+# Copyright 2007,2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,19 @@
PRGNAM=thunar-thumbnailers
VERSION=0.4.1
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,6 +51,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -77,12 +89,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \